services:
  core-server:
    image: xdm3-core:latest
    build:
      context: ./dockerfiles
      dockerfile: Dockerfile-core

  web-ui:
    image: xdm3-ui:latest
    build:
      context: ./dockerfiles
      dockerfile: Dockerfile-ui
    ports:
      - '4280:8080'

  dataflow-server:
    image: xdm3-dataflow:latest
    build:
      context: ./dockerfiles
      dockerfile: Dockerfile-dataflow